<div class="wrapper" [ngClass]="{'deeppurple-amber-theme': selectedTheme == 'deeppurple-amber', 'indigo-pink-theme': selectedTheme == 'indigo-pink'}">
  <div class="main-content">
    <mat-toolbar class="top-menubar">
      <!-- Below 2 mat-icon is the toggle button for sidenav (maximize & minimize),
      1st one is visible for smaller screen and second one for big screen
      Reason to have 2 icons: different way of toggling sidenav for big and small screen -->
      <mat-icon fxHide.lt-md id="toolbarMenu" (click)="toggleSideBar()">subject</mat-icon>
      <mat-icon fxHide.gt-sm id="toolbarMenu" (click)="sidenav.toggle()">subject</mat-icon>
      <img mat-card-image class="logo" [routerLink]="['/']" src="assets/Images/HRA_CAPS_Logo_Lockup_White-01.png" alt="NYC HRA LOGO" />
      <span class="toolbar-spacer1"></span>
      <h1 class="main-title" [routerLink]="['/']">
        Coordinated Assessment and Placement System
      </h1>
      <span class="toolbar-spacer2"></span>
      <div class="user-icon"><mat-icon matTooltip="User Profile" [matMenuTriggerFor]="profile">account_circle</mat-icon></div>
      <mat-menu #profile="matMenu">
        <mat-card class="avatar-card mat-elevation-z0">
          <mat-card-header>
            <div mat-card-avatar><mat-icon>account_circle</mat-icon></div>
            <mat-card-title>{{ userData.firstName + " " + userData.lastName }}</mat-card-title>
            <mat-card-subtitle>{{is_SH_RA ? 'SH-RA ':'' }} {{is_SH_PE ? 'SH-PE ':''}}  {{is_SH_HP ? 'SH-HP ':''}}   {{ is_CAS ? 'CAS ':''}} {{ is_ML_DHS_Liasian ? 'ML-DHS-Liasian ':''}} {{ is_ML_Team ? 'ML_Team ':''}} {{ is_ML_HP ? 'ML-IH ':''}} {{ is_ML_IREA ? 'ML-IREA ':''}}</mat-card-subtitle>
          </mat-card-header>
          <mat-card-content>
            <mat-divider></mat-divider>
            <span class="last-login">(Last Login : {{ userData.lastAccessDate | date: 'medium' }})</span>
          </mat-card-content>
        </mat-card>
        <!-- <mat-divider></mat-divider>
        <button (click)="setCurrentUserAgencyType(userAgencyType.PlacementEntity)" mat-menu-item>Placement Entity</button>
        <button (click)="setCurrentUserAgencyType(userAgencyType.HousingProvider)" mat-menu-item>Housing Provider</button>
        <button (click)="setCurrentUserAgencyType(userAgencyType.Reviewer)" mat-menu-item>Reviewer</button>
        <button (click)="setCurrentUserAgencyType(userAgencyType.ReferringAgency)" mat-menu-item>ReferringAgency</button> -->
        <span *ngIf="isImpersonation">
          <mat-divider></mat-divider>
          <button routerLink="/impersonate" mat-menu-item>Impersonate User</button>
        </span>
        <mat-divider></mat-divider>
        <button (click)="onLogoutClick()" mat-menu-item><mat-icon color="primary">power_settings_new</mat-icon>Logout</button>
      </mat-menu>
    </mat-toolbar>

    <mat-sidenav-container id="sidenavContainer" autosize>
      <mat-sidenav #sidenav fixedInViewport="true" id="sidenav" [mode]="mobileSize.matches ? 'over' : 'side'"
        [opened]="normalSize.matches" [style.width.px]="!mobileSize.matches ? widthSideBar:260">
        <app-sidenav-list (sidenavClose)="mobileSize.matches ? sidenav.close():''"></app-sidenav-list>
      </mat-sidenav>
      <!-- Below one line of code is to make the navCollapsed false for smaller screen, so sub menu can expand on click-->
      <span *ngIf="mobileSize.matches ? setNavCollapsed(): navCollapsed ? navCollapsedRecover(): false"></span>
      <mat-sidenav-content [style.marginLeft.px]="widthSideBar">
        <main><router-outlet></router-outlet></main>
      </mat-sidenav-content>
    </mat-sidenav-container>

    <footer class="footer">
      <mat-toolbar color="primary" fxLayout="row auto" fxLayoutGap="10px">
        <div class="copyright" fxLayoutAlign="start">City of New York 2020 All Rights Reserved.</div>
        <!-- ###### Error Handling testing tools for development phase only ###### -->
        <!-- <div class="themeColor" fxLayoutAlign="end">
          <button mat-icon-button matTooltip="Test for Exception Handling" [matMenuTriggerFor]="exceptionHandling">
            <mat-icon>bug_report</mat-icon>
          </button>
          <mat-menu #exceptionHandling="matMenu">
            <button mat-menu-item (click)="onErrorSelected('clientError')">
              <span>Client Error</span>
            </button>
            <button mat-menu-item (click)="onErrorSelected('serverError')">
              <span>Server Error</span>
            </button>
          </mat-menu>
        </div> -->
        <!-- ###### Custom color Theme testing tools for development phase only ###### -->
        <!-- <div class="themeColor" fxLayoutAlign="end">
          <button mat-icon-button matTooltip="Select a theme!" [matMenuTriggerFor]="themeOptions">
            <mat-icon>format_color_fill</mat-icon>
          </button>
          <mat-menu #themeOptions="matMenu">
            <button mat-menu-item (click)="onThemeSelected('indigo-pink')">
              <mat-icon style="color: #3F51B5">color_lens</mat-icon>
              <span>indigo-pink</span>
            </button>
            <button mat-menu-item (click)="onThemeSelected('deeppurple-amber')">
              <mat-icon style="color: #673BB7">color_lens</mat-icon>
              <span>deeppurple-amber</span>
            </button>
          </mat-menu>
        </div> -->
        <div class="helpSupport" fxLayoutAlign="end">
          <a class="link-label" href="https://www1.nyc.gov/" target="_blank">NYC.GOV Page </a>&nbsp; | &nbsp;
          <span class="link-label" (click)="openSupportDialog()"><u>Support</u></span>
        </div>
      </mat-toolbar>
    </footer>
  </div>
</div>
